librime: rime::ConfigList Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Protected Attributes | List of all members
rime::ConfigList Class Reference

`#include <config_types.h>`

Inheritance diagram for rime::ConfigList:
[legend]
Collaboration diagram for rime::ConfigList:
[legend]

## Public Types
using | Sequence = vector<of<ConfigItem>>
using | Iterator = Sequence::iterator
Public Types inherited from rime::ConfigItem
enum | ValueType { kNull , kScalar , kList , kMap }

## Public Member Functions
| ConfigList ()
RIME_DLL an< ConfigItem > | GetAt (size_t i) const
RIME_DLL an< ConfigValue > | GetValueAt (size_t i) const
RIME_DLL bool | SetAt (size_t i, an< ConfigItem > element)
bool | Insert (size_t i, an< ConfigItem > element)
RIME_DLL bool | Append (an< ConfigItem > element)
bool | Resize (size_t size)
RIME_DLL bool | Clear ()
RIME_DLL size_t | size () const
Iterator | begin ()
Iterator | end ()
bool | empty () const override
Public Member Functions inherited from rime::ConfigItem
| ConfigItem ()=default
virtual | ~ConfigItem ()=default
ValueType | type () const

## Protected Attributes
Sequence | seq_
Protected Attributes inherited from rime::ConfigItem
ValueType | type_ = kNull

## Additional Inherited Members
Protected Member Functions inherited from rime::ConfigItem
| ConfigItem (ValueType type)

## Member Typedef Documentation

## ◆ Iterator

using rime::ConfigList::Iterator = Sequence::iterator

## ◆ Sequence

using rime::ConfigList::Sequence = vector<of<ConfigItem>>

## Constructor & Destructor Documentation

## ◆ ConfigList()

rime::ConfigList::ConfigList | ( |  | ) |
| inline

## Member Function Documentation

## ◆ Append()

bool rime::ConfigList::Append | ( | an< ConfigItem > | element | ) |

## ◆ begin()

ConfigList::Iterator rime::ConfigList::begin | ( |  | ) |

## ◆ Clear()

bool rime::ConfigList::Clear | ( |  | ) |

## ◆ empty()

bool rime::ConfigList::empty | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from rime::ConfigItem.

## ◆ end()

ConfigList::Iterator rime::ConfigList::end | ( |  | ) |

## ◆ GetAt()

an< ConfigItem > rime::ConfigList::GetAt | ( | size_t | i | ) | const

## ◆ GetValueAt()

an< ConfigValue > rime::ConfigList::GetValueAt | ( | size_t | i | ) | const

## ◆ Insert()

bool rime::ConfigList::Insert | ( | size_t | i,
|  | an< ConfigItem > | element )

## ◆ Resize()

bool rime::ConfigList::Resize | ( | size_t | size | ) |

## ◆ SetAt()

bool rime::ConfigList::SetAt | ( | size_t | i,
|  | an< ConfigItem > | element )

## ◆ size()

size_t rime::ConfigList::size | ( |  | ) | const

## Member Data Documentation

## ◆ seq_

Sequence rime::ConfigList::seq_
| protected

The documentation for this class was generated from the following files:

- config_types.h
- config_types.cc